PUT /contact_field_values/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contact_field_values/:id

Update record by id.

Update the value or display name of an existing contact field picklist value.

Params

Param name Description
contact_field_id
Optional

Assign the record to this Contact Field.

value
Optional Blank value allowed

Value

  • Must be a String

name
Optional Blank value allowed

Display Name For Value

  • Must be a String

sortable_order
Optional Blank value allowed

The order in which records will be sorted. Values are sorted in ascending order; smaller values are listed first.

  • Must be a decimal number.

token_value_ids
Optional Blank value allowed

Only offers this picklist value for calls matching these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"